// CHECKSTYLE:OFF

package com.cloudbees.plugins.credentials;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;
import org.kohsuke.accmod.Restricted;


/**
 * Generated localization support class.
 * 
 */
@SuppressWarnings({
    "",
    "PMD",
    "all"
})
@Restricted(org.kohsuke.accmod.restrictions.NoExternalUse.class)
public class Messages {

    /**
     * The resource bundle reference
     * 
     */
    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Key {@code GlobalCredentialsConfiguration.DisplayName}: {@code
     * Configure Credentials}.
     * 
     * @return
     *     {@code Configure Credentials}
     */
    public static String GlobalCredentialsConfiguration_DisplayName() {
        return holder.format("GlobalCredentialsConfiguration.DisplayName");
    }

    /**
     * Key {@code GlobalCredentialsConfiguration.DisplayName}: {@code
     * Configure Credentials}.
     * 
     * @return
     *     {@code Configure Credentials}
     */
    public static Localizable _GlobalCredentialsConfiguration_DisplayName() {
        return new Localizable(holder, "GlobalCredentialsConfiguration.DisplayName");
    }

    /**
     * Key {@code CredentialsSelectHelper.DisplayName}: {@code Credentials
     * Selection Helper}.
     * 
     * @return
     *     {@code Credentials Selection Helper}
     */
    public static String CredentialsSelectHelper_DisplayName() {
        return holder.format("CredentialsSelectHelper.DisplayName");
    }

    /**
     * Key {@code CredentialsSelectHelper.DisplayName}: {@code Credentials
     * Selection Helper}.
     * 
     * @return
     *     {@code Credentials Selection Helper}
     */
    public static Localizable _CredentialsSelectHelper_DisplayName() {
        return new Localizable(holder, "CredentialsSelectHelper.DisplayName");
    }

    /**
     * Key {@code CredentialsStoreAction.EmptyDomainNameMessage}: {@code You
     * must provide a name for the domain}.
     * 
     * @return
     *     {@code You must provide a name for the domain}
     */
    public static String CredentialsStoreAction_EmptyDomainNameMessage() {
        return holder.format("CredentialsStoreAction.EmptyDomainNameMessage");
    }

    /**
     * Key {@code CredentialsStoreAction.EmptyDomainNameMessage}: {@code You
     * must provide a name for the domain}.
     * 
     * @return
     *     {@code You must provide a name for the domain}
     */
    public static Localizable _CredentialsStoreAction_EmptyDomainNameMessage() {
        return new Localizable(holder, "CredentialsStoreAction.EmptyDomainNameMessage");
    }

    /**
     * Key {@code CredentialsSelectHelper.CLIMalformedStoreId}: {@code
     * Malformed store identifier, expecting Provider::Resolver::ContextPath
     * got {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Malformed store identifier, expecting
     *     Provider::Resolver::ContextPath got {0}}
     */
    public static String CredentialsSelectHelper_CLIMalformedStoreId(Object arg0) {
        return holder.format("CredentialsSelectHelper.CLIMalformedStoreId", arg0);
    }

    /**
     * Key {@code CredentialsSelectHelper.CLIMalformedStoreId}: {@code
     * Malformed store identifier, expecting Provider::Resolver::ContextPath
     * got {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Malformed store identifier, expecting
     *     Provider::Resolver::ContextPath got {0}}
     */
    public static Localizable _CredentialsSelectHelper_CLIMalformedStoreId(Object arg0) {
        return new Localizable(holder, "CredentialsSelectHelper.CLIMalformedStoreId", arg0);
    }

    /**
     * Key {@code CredentialsProvider.UseOwnPermissionDescription}: {@code
     * Where an immediate action against a job requires that a credential be
     * selected by the user triggering the action, this permission allows the
     * user to select a credential from their private credential store.
     * Immediate actions could include: building with parameters, tagging a
     * build, deploying artifacts, etc.}.
     * 
     * @return
     *     {@code Where an immediate action against a job requires that a
     *     credential be selected by the user triggering the action, this
     *     permission allows the user to select a credential from their private
     *     credential store. Immediate actions could include: building with
     *     parameters, tagging a build, deploying artifacts, etc.}
     */
    public static String CredentialsProvider_UseOwnPermissionDescription() {
        return holder.format("CredentialsProvider.UseOwnPermissionDescription");
    }

    /**
     * Key {@code CredentialsProvider.UseOwnPermissionDescription}: {@code
     * Where an immediate action against a job requires that a credential be
     * selected by the user triggering the action, this permission allows the
     * user to select a credential from their private credential store.
     * Immediate actions could include: building with parameters, tagging a
     * build, deploying artifacts, etc.}.
     * 
     * @return
     *     {@code Where an immediate action against a job requires that a
     *     credential be selected by the user triggering the action, this
     *     permission allows the user to select a credential from their private
     *     credential store. Immediate actions could include: building with
     *     parameters, tagging a build, deploying artifacts, etc.}
     */
    public static Localizable _CredentialsProvider_UseOwnPermissionDescription() {
        return new Localizable(holder, "CredentialsProvider.UseOwnPermissionDescription");
    }

    /**
     * Key {@code CredentialsSelectHelper.CLINoSuchResolver}: {@code The
     * specified resolver {0} cannot be uniquely identified.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code The specified resolver {0} cannot be uniquely identified.}
     */
    public static String CredentialsSelectHelper_CLINoSuchResolver(Object arg0) {
        return holder.format("CredentialsSelectHelper.CLINoSuchResolver", arg0);
    }

    /**
     * Key {@code CredentialsSelectHelper.CLINoSuchResolver}: {@code The
     * specified resolver {0} cannot be uniquely identified.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code The specified resolver {0} cannot be uniquely identified.}
     */
    public static Localizable _CredentialsSelectHelper_CLINoSuchResolver(Object arg0) {
        return new Localizable(holder, "CredentialsSelectHelper.CLINoSuchResolver", arg0);
    }

    /**
     * Key {@code CredentialsStoreAction.DuplicateDomainNameMessage}: {@code
     * A domain with that name already exists}.
     * 
     * @return
     *     {@code A domain with that name already exists}
     */
    public static String CredentialsStoreAction_DuplicateDomainNameMessage() {
        return holder.format("CredentialsStoreAction.DuplicateDomainNameMessage");
    }

    /**
     * Key {@code CredentialsStoreAction.DuplicateDomainNameMessage}: {@code
     * A domain with that name already exists}.
     * 
     * @return
     *     {@code A domain with that name already exists}
     */
    public static Localizable _CredentialsStoreAction_DuplicateDomainNameMessage() {
        return new Localizable(holder, "CredentialsStoreAction.DuplicateDomainNameMessage");
    }

    /**
     * Key {@code CredentialsStoreAction.DeleteCredentialAction}: {@code
     * Delete}.
     * 
     * @return
     *     {@code Delete}
     */
    public static String CredentialsStoreAction_DeleteCredentialAction() {
        return holder.format("CredentialsStoreAction.DeleteCredentialAction");
    }

    /**
     * Key {@code CredentialsStoreAction.DeleteCredentialAction}: {@code
     * Delete}.
     * 
     * @return
     *     {@code Delete}
     */
    public static Localizable _CredentialsStoreAction_DeleteCredentialAction() {
        return new Localizable(holder, "CredentialsStoreAction.DeleteCredentialAction");
    }

    /**
     * Key {@code CredentialsTypeFilter.Excludes.DisplayName}: {@code Exclude
     * selected}.
     * 
     * @return
     *     {@code Exclude selected}
     */
    public static String CredentialsTypeFilter_Excludes_DisplayName() {
        return holder.format("CredentialsTypeFilter.Excludes.DisplayName");
    }

    /**
     * Key {@code CredentialsTypeFilter.Excludes.DisplayName}: {@code Exclude
     * selected}.
     * 
     * @return
     *     {@code Exclude selected}
     */
    public static Localizable _CredentialsTypeFilter_Excludes_DisplayName() {
        return new Localizable(holder, "CredentialsTypeFilter.Excludes.DisplayName");
    }

    /**
     * Key {@code CredentialsStoreAction.GlobalDomainDisplayName}: {@code
     * Global credentials (unrestricted)}.
     * 
     * @return
     *     {@code Global credentials (unrestricted)}
     */
    public static String CredentialsStoreAction_GlobalDomainDisplayName() {
        return holder.format("CredentialsStoreAction.GlobalDomainDisplayName");
    }

    /**
     * Key {@code CredentialsStoreAction.GlobalDomainDisplayName}: {@code
     * Global credentials (unrestricted)}.
     * 
     * @return
     *     {@code Global credentials (unrestricted)}
     */
    public static Localizable _CredentialsStoreAction_GlobalDomainDisplayName() {
        return new Localizable(holder, "CredentialsStoreAction.GlobalDomainDisplayName");
    }

    /**
     * Key {@code CredentialsProvider.UpdatePermissionDescription}: {@code
     * The update permission is necessary to modify credentials in a
     * credentials provider.}.
     * 
     * @return
     *     {@code The update permission is necessary to modify credentials in a
     *     credentials provider.}
     */
    public static String CredentialsProvider_UpdatePermissionDescription() {
        return holder.format("CredentialsProvider.UpdatePermissionDescription");
    }

    /**
     * Key {@code CredentialsProvider.UpdatePermissionDescription}: {@code
     * The update permission is necessary to modify credentials in a
     * credentials provider.}.
     * 
     * @return
     *     {@code The update permission is necessary to modify credentials in a
     *     credentials provider.}
     */
    public static Localizable _CredentialsProvider_UpdatePermissionDescription() {
        return new Localizable(holder, "CredentialsProvider.UpdatePermissionDescription");
    }

    /**
     * Key {@code CredentialsScope.SystemDisplayName}: {@code System (Jenkins
     * and nodes only)}.
     * 
     * @return
     *     {@code System (Jenkins and nodes only)}
     */
    public static String CredentialsScope_SystemDisplayName() {
        return holder.format("CredentialsScope.SystemDisplayName");
    }

    /**
     * Key {@code CredentialsScope.SystemDisplayName}: {@code System (Jenkins
     * and nodes only)}.
     * 
     * @return
     *     {@code System (Jenkins and nodes only)}
     */
    public static Localizable _CredentialsScope_SystemDisplayName() {
        return new Localizable(holder, "CredentialsScope.SystemDisplayName");
    }

    /**
     * Key {@code UserCredentialsProvider_DisplayName}: {@code Credentials}.
     * 
     * @return
     *     {@code Credentials}
     */
    public static String UserCredentialsProvider_DisplayName() {
        return holder.format("UserCredentialsProvider_DisplayName");
    }

    /**
     * Key {@code UserCredentialsProvider_DisplayName}: {@code Credentials}.
     * 
     * @return
     *     {@code Credentials}
     */
    public static Localizable _UserCredentialsProvider_DisplayName() {
        return new Localizable(holder, "UserCredentialsProvider_DisplayName");
    }

    /**
     * Key {@code CredentialsScope.UserDisplayName}: {@code User}.
     * 
     * @return
     *     {@code User}
     */
    public static String CredentialsScope_UserDisplayName() {
        return holder.format("CredentialsScope.UserDisplayName");
    }

    /**
     * Key {@code CredentialsScope.UserDisplayName}: {@code User}.
     * 
     * @return
     *     {@code User}
     */
    public static Localizable _CredentialsScope_UserDisplayName() {
        return new Localizable(holder, "CredentialsScope.UserDisplayName");
    }

    /**
     * Key {@code CredentialsStoreAction.MoveCredentialAction}: {@code Move}.
     * 
     * @return
     *     {@code Move}
     */
    public static String CredentialsStoreAction_MoveCredentialAction() {
        return holder.format("CredentialsStoreAction.MoveCredentialAction");
    }

    /**
     * Key {@code CredentialsStoreAction.MoveCredentialAction}: {@code Move}.
     * 
     * @return
     *     {@code Move}
     */
    public static Localizable _CredentialsStoreAction_MoveCredentialAction() {
        return new Localizable(holder, "CredentialsStoreAction.MoveCredentialAction");
    }

    /**
     * Key {@code CredentialsStoreAction.UserDisplayName}: {@code User: {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code User: {0}}
     */
    public static String CredentialsStoreAction_UserDisplayName(Object arg0) {
        return holder.format("CredentialsStoreAction.UserDisplayName", arg0);
    }

    /**
     * Key {@code CredentialsStoreAction.UserDisplayName}: {@code User: {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code User: {0}}
     */
    public static Localizable _CredentialsStoreAction_UserDisplayName(Object arg0) {
        return new Localizable(holder, "CredentialsStoreAction.UserDisplayName", arg0);
    }

    /**
     * Key {@code CredentialsScope.GlobalDisplayName}: {@code Global
     * (Jenkins, nodes, items, all child items, etc)}.
     * 
     * @return
     *     {@code Global (Jenkins, nodes, items, all child items, etc)}
     */
    public static String CredentialsScope_GlobalDisplayName() {
        return holder.format("CredentialsScope.GlobalDisplayName");
    }

    /**
     * Key {@code CredentialsScope.GlobalDisplayName}: {@code Global
     * (Jenkins, nodes, items, all child items, etc)}.
     * 
     * @return
     *     {@code Global (Jenkins, nodes, items, all child items, etc)}
     */
    public static Localizable _CredentialsScope_GlobalDisplayName() {
        return new Localizable(holder, "CredentialsScope.GlobalDisplayName");
    }

    /**
     * Key {@code CredentialsProvider.ViewPermissionDescription}: {@code The
     * view permission is necessary to view the credentials stored in a
     * credentials provider.}.
     * 
     * @return
     *     {@code The view permission is necessary to view the credentials stored
     *     in a credentials provider.}
     */
    public static String CredentialsProvider_ViewPermissionDescription() {
        return holder.format("CredentialsProvider.ViewPermissionDescription");
    }

    /**
     * Key {@code CredentialsProvider.ViewPermissionDescription}: {@code The
     * view permission is necessary to view the credentials stored in a
     * credentials provider.}.
     * 
     * @return
     *     {@code The view permission is necessary to view the credentials stored
     *     in a credentials provider.}
     */
    public static Localizable _CredentialsProvider_ViewPermissionDescription() {
        return new Localizable(holder, "CredentialsProvider.ViewPermissionDescription");
    }

    /**
     * Key {@code CredentialsSelectHelper.CLINoSuchContext}: {@code The
     * specified context path {0} is not resolving to an object.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code The specified context path {0} is not resolving to an object.}
     */
    public static String CredentialsSelectHelper_CLINoSuchContext(Object arg0) {
        return holder.format("CredentialsSelectHelper.CLINoSuchContext", arg0);
    }

    /**
     * Key {@code CredentialsSelectHelper.CLINoSuchContext}: {@code The
     * specified context path {0} is not resolving to an object.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code The specified context path {0} is not resolving to an object.}
     */
    public static Localizable _CredentialsSelectHelper_CLINoSuchContext(Object arg0) {
        return new Localizable(holder, "CredentialsSelectHelper.CLINoSuchContext", arg0);
    }

    /**
     * Key {@code CredentialsProviderTypeRestriction.Includes.DisplayName}:
     * {@code Includes}.
     * 
     * @return
     *     {@code Includes}
     */
    public static String CredentialsProviderTypeRestriction_Includes_DisplayName() {
        return holder.format("CredentialsProviderTypeRestriction.Includes.DisplayName");
    }

    /**
     * Key {@code CredentialsProviderTypeRestriction.Includes.DisplayName}:
     * {@code Includes}.
     * 
     * @return
     *     {@code Includes}
     */
    public static Localizable _CredentialsProviderTypeRestriction_Includes_DisplayName() {
        return new Localizable(holder, "CredentialsProviderTypeRestriction.Includes.DisplayName");
    }

    /**
     * Key {@code CredentialsProviderFilter.Includes.DisplayName}: {@code
     * Only selected}.
     * 
     * @return
     *     {@code Only selected}
     */
    public static String CredentialsProviderFilter_Includes_DisplayName() {
        return holder.format("CredentialsProviderFilter.Includes.DisplayName");
    }

    /**
     * Key {@code CredentialsProviderFilter.Includes.DisplayName}: {@code
     * Only selected}.
     * 
     * @return
     *     {@code Only selected}
     */
    public static Localizable _CredentialsProviderFilter_Includes_DisplayName() {
        return new Localizable(holder, "CredentialsProviderFilter.Includes.DisplayName");
    }

    /**
     * Key {@code CredentialsStoreAction.AddCredentialsAction}: {@code Add
     * credentials}.
     * 
     * @return
     *     {@code Add credentials}
     */
    public static String CredentialsStoreAction_AddCredentialsAction() {
        return holder.format("CredentialsStoreAction.AddCredentialsAction");
    }

    /**
     * Key {@code CredentialsStoreAction.AddCredentialsAction}: {@code Add
     * credentials}.
     * 
     * @return
     *     {@code Add credentials}
     */
    public static Localizable _CredentialsStoreAction_AddCredentialsAction() {
        return new Localizable(holder, "CredentialsStoreAction.AddCredentialsAction");
    }

    /**
     * Key {@code CredentialsProvider.CreatePermissionDescription}: {@code
     * The create permission is necessary to add credentials to a credentials
     * provider.}.
     * 
     * @return
     *     {@code The create permission is necessary to add credentials to a
     *     credentials provider.}
     */
    public static String CredentialsProvider_CreatePermissionDescription() {
        return holder.format("CredentialsProvider.CreatePermissionDescription");
    }

    /**
     * Key {@code CredentialsProvider.CreatePermissionDescription}: {@code
     * The create permission is necessary to add credentials to a credentials
     * provider.}.
     * 
     * @return
     *     {@code The create permission is necessary to add credentials to a
     *     credentials provider.}
     */
    public static Localizable _CredentialsProvider_CreatePermissionDescription() {
        return new Localizable(holder, "CredentialsProvider.CreatePermissionDescription");
    }

    /**
     * Key {@code CredentialsStoreAction.AddDomainAction}: {@code Add
     * domain}.
     * 
     * @return
     *     {@code Add domain}
     */
    public static String CredentialsStoreAction_AddDomainAction() {
        return holder.format("CredentialsStoreAction.AddDomainAction");
    }

    /**
     * Key {@code CredentialsStoreAction.AddDomainAction}: {@code Add
     * domain}.
     * 
     * @return
     *     {@code Add domain}
     */
    public static Localizable _CredentialsStoreAction_AddDomainAction() {
        return new Localizable(holder, "CredentialsStoreAction.AddDomainAction");
    }

    /**
     * Key {@code CredentialsProvider.UseItemPermissionDescription}: {@code
     * Where an immediate action against a job requires that a credential be
     * selected by the user triggering the action, this permission allows the
     * user to select a credential from those credentials available within
     * the scope of the job. Immediate actions could include: building with
     * parameters, tagging a build, deploying artifacts, etc.}.
     * 
     * @return
     *     {@code Where an immediate action against a job requires that a
     *     credential be selected by the user triggering the action, this
     *     permission allows the user to select a credential from those
     *     credentials available within the scope of the job. Immediate actions
     *     could include: building with parameters, tagging a build, deploying
     *     artifacts, etc.}
     */
    public static String CredentialsProvider_UseItemPermissionDescription() {
        return holder.format("CredentialsProvider.UseItemPermissionDescription");
    }

    /**
     * Key {@code CredentialsProvider.UseItemPermissionDescription}: {@code
     * Where an immediate action against a job requires that a credential be
     * selected by the user triggering the action, this permission allows the
     * user to select a credential from those credentials available within
     * the scope of the job. Immediate actions could include: building with
     * parameters, tagging a build, deploying artifacts, etc.}.
     * 
     * @return
     *     {@code Where an immediate action against a job requires that a
     *     credential be selected by the user triggering the action, this
     *     permission allows the user to select a credential from those
     *     credentials available within the scope of the job. Immediate actions
     *     could include: building with parameters, tagging a build, deploying
     *     artifacts, etc.}
     */
    public static Localizable _CredentialsProvider_UseItemPermissionDescription() {
        return new Localizable(holder, "CredentialsProvider.UseItemPermissionDescription");
    }

    /**
     * Key {@code UserCredentialsProvider.UserFacingAction.DisplayName}:
     * {@code User}.
     * 
     * @return
     *     {@code User}
     */
    public static String UserCredentialsProvider_UserFacingAction_DisplayName() {
        return holder.format("UserCredentialsProvider.UserFacingAction.DisplayName");
    }

    /**
     * Key {@code UserCredentialsProvider.UserFacingAction.DisplayName}:
     * {@code User}.
     * 
     * @return
     *     {@code User}
     */
    public static Localizable _UserCredentialsProvider_UserFacingAction_DisplayName() {
        return new Localizable(holder, "UserCredentialsProvider.UserFacingAction.DisplayName");
    }

    /**
     * Key {@code CredentialsStoreAction.ConfigureDomainAction}: {@code
     * Configure}.
     * 
     * @return
     *     {@code Configure}
     */
    public static String CredentialsStoreAction_ConfigureDomainAction() {
        return holder.format("CredentialsStoreAction.ConfigureDomainAction");
    }

    /**
     * Key {@code CredentialsStoreAction.ConfigureDomainAction}: {@code
     * Configure}.
     * 
     * @return
     *     {@code Configure}
     */
    public static Localizable _CredentialsStoreAction_ConfigureDomainAction() {
        return new Localizable(holder, "CredentialsStoreAction.ConfigureDomainAction");
    }

    /**
     * Key {@code SystemCredentialsProvider.ProviderImpl.DisplayName}: {@code
     * Jenkins Credentials Provider}.
     * 
     * @return
     *     {@code Jenkins Credentials Provider}
     */
    public static String SystemCredentialsProvider_ProviderImpl_DisplayName() {
        return holder.format("SystemCredentialsProvider.ProviderImpl.DisplayName");
    }

    /**
     * Key {@code SystemCredentialsProvider.ProviderImpl.DisplayName}: {@code
     * Jenkins Credentials Provider}.
     * 
     * @return
     *     {@code Jenkins Credentials Provider}
     */
    public static Localizable _SystemCredentialsProvider_ProviderImpl_DisplayName() {
        return new Localizable(holder, "SystemCredentialsProvider.ProviderImpl.DisplayName");
    }

    /**
     * Key {@code CredentialsProviderTypeRestriction.Excludes.DisplayName}:
     * {@code Excludes}.
     * 
     * @return
     *     {@code Excludes}
     */
    public static String CredentialsProviderTypeRestriction_Excludes_DisplayName() {
        return holder.format("CredentialsProviderTypeRestriction.Excludes.DisplayName");
    }

    /**
     * Key {@code CredentialsProviderTypeRestriction.Excludes.DisplayName}:
     * {@code Excludes}.
     * 
     * @return
     *     {@code Excludes}
     */
    public static Localizable _CredentialsProviderTypeRestriction_Excludes_DisplayName() {
        return new Localizable(holder, "CredentialsProviderTypeRestriction.Excludes.DisplayName");
    }

    /**
     * Key {@code CredentialsParameterValue.NotAvailableToCurrentUser}:
     * {@code Not available to current user}.
     * 
     * @return
     *     {@code Not available to current user}
     */
    public static String CredentialsParameterValue_NotAvailableToCurrentUser() {
        return holder.format("CredentialsParameterValue.NotAvailableToCurrentUser");
    }

    /**
     * Key {@code CredentialsParameterValue.NotAvailableToCurrentUser}:
     * {@code Not available to current user}.
     * 
     * @return
     *     {@code Not available to current user}
     */
    public static Localizable _CredentialsParameterValue_NotAvailableToCurrentUser() {
        return new Localizable(holder, "CredentialsParameterValue.NotAvailableToCurrentUser");
    }

    /**
     * Key {@code CredentialsParameterDefinition.DisplayName}: {@code
     * Credentials Parameter}.
     * 
     * @return
     *     {@code Credentials Parameter}
     */
    public static String CredentialsParameterDefinition_DisplayName() {
        return holder.format("CredentialsParameterDefinition.DisplayName");
    }

    /**
     * Key {@code CredentialsParameterDefinition.DisplayName}: {@code
     * Credentials Parameter}.
     * 
     * @return
     *     {@code Credentials Parameter}
     */
    public static Localizable _CredentialsParameterDefinition_DisplayName() {
        return new Localizable(holder, "CredentialsParameterDefinition.DisplayName");
    }

    /**
     * Key {@code CredentialsProvider.DeletePermissionDescription}: {@code
     * The delete permission is necessary to remove credentials stored in a
     * credentials provider.}.
     * 
     * @return
     *     {@code The delete permission is necessary to remove credentials stored
     *     in a credentials provider.}
     */
    public static String CredentialsProvider_DeletePermissionDescription() {
        return holder.format("CredentialsProvider.DeletePermissionDescription");
    }

    /**
     * Key {@code CredentialsProvider.DeletePermissionDescription}: {@code
     * The delete permission is necessary to remove credentials stored in a
     * credentials provider.}.
     * 
     * @return
     *     {@code The delete permission is necessary to remove credentials stored
     *     in a credentials provider.}
     */
    public static Localizable _CredentialsProvider_DeletePermissionDescription() {
        return new Localizable(holder, "CredentialsProvider.DeletePermissionDescription");
    }

    /**
     * Key {@code SystemCredentialsProvider.UserFacingAction.DisplayName}:
     * {@code System}.
     * 
     * @return
     *     {@code System}
     */
    public static String SystemCredentialsProvider_UserFacingAction_DisplayName() {
        return holder.format("SystemCredentialsProvider.UserFacingAction.DisplayName");
    }

    /**
     * Key {@code SystemCredentialsProvider.UserFacingAction.DisplayName}:
     * {@code System}.
     * 
     * @return
     *     {@code System}
     */
    public static Localizable _SystemCredentialsProvider_UserFacingAction_DisplayName() {
        return new Localizable(holder, "SystemCredentialsProvider.UserFacingAction.DisplayName");
    }

    /**
     * Key {@code CredentialsTypeFilter.None.DisplayName}: {@code All
     * available}.
     * 
     * @return
     *     {@code All available}
     */
    public static String CredentialsTypeFilter_None_DisplayName() {
        return holder.format("CredentialsTypeFilter.None.DisplayName");
    }

    /**
     * Key {@code CredentialsTypeFilter.None.DisplayName}: {@code All
     * available}.
     * 
     * @return
     *     {@code All available}
     */
    public static Localizable _CredentialsTypeFilter_None_DisplayName() {
        return new Localizable(holder, "CredentialsTypeFilter.None.DisplayName");
    }

    /**
     * Key {@code CredentialsProviderFilter.Excludes.DisplayName}: {@code
     * Exclude selected}.
     * 
     * @return
     *     {@code Exclude selected}
     */
    public static String CredentialsProviderFilter_Excludes_DisplayName() {
        return holder.format("CredentialsProviderFilter.Excludes.DisplayName");
    }

    /**
     * Key {@code CredentialsProviderFilter.Excludes.DisplayName}: {@code
     * Exclude selected}.
     * 
     * @return
     *     {@code Exclude selected}
     */
    public static Localizable _CredentialsProviderFilter_Excludes_DisplayName() {
        return new Localizable(holder, "CredentialsProviderFilter.Excludes.DisplayName");
    }

    /**
     * Key {@code CredentialsSelectHelper.CLINoStore}: {@code The specified
     * provider does not have a credentials store in the specified context.}.
     * 
     * @return
     *     {@code The specified provider does not have a credentials store in the
     *     specified context.}
     */
    public static String CredentialsSelectHelper_CLINoStore() {
        return holder.format("CredentialsSelectHelper.CLINoStore");
    }

    /**
     * Key {@code CredentialsSelectHelper.CLINoStore}: {@code The specified
     * provider does not have a credentials store in the specified context.}.
     * 
     * @return
     *     {@code The specified provider does not have a credentials store in the
     *     specified context.}
     */
    public static Localizable _CredentialsSelectHelper_CLINoStore() {
        return new Localizable(holder, "CredentialsSelectHelper.CLINoStore");
    }

    /**
     * Key {@code GlobalCredentialsConfiguration.Description}: {@code
     * Configure the credential providers and types}.
     * 
     * @return
     *     {@code Configure the credential providers and types}
     */
    public static String GlobalCredentialsConfiguration_Description() {
        return holder.format("GlobalCredentialsConfiguration.Description");
    }

    /**
     * Key {@code GlobalCredentialsConfiguration.Description}: {@code
     * Configure the credential providers and types}.
     * 
     * @return
     *     {@code Configure the credential providers and types}
     */
    public static Localizable _GlobalCredentialsConfiguration_Description() {
        return new Localizable(holder, "GlobalCredentialsConfiguration.Description");
    }

    /**
     * Key {@code CredentialsProvider.ManageDomainsPermissionDescription}:
     * {@code The manage domains permission is necessary to
     * add/remove/configure the credential domains of a credentials provider
     * (where the credentials provider supports multiple credential
     * domains).}.
     * 
     * @return
     *     {@code The manage domains permission is necessary to
     *     add/remove/configure the credential domains of a credentials provider
     *     (where the credentials provider supports multiple credential
     *     domains).}
     */
    public static String CredentialsProvider_ManageDomainsPermissionDescription() {
        return holder.format("CredentialsProvider.ManageDomainsPermissionDescription");
    }

    /**
     * Key {@code CredentialsProvider.ManageDomainsPermissionDescription}:
     * {@code The manage domains permission is necessary to
     * add/remove/configure the credential domains of a credentials provider
     * (where the credentials provider supports multiple credential
     * domains).}.
     * 
     * @return
     *     {@code The manage domains permission is necessary to
     *     add/remove/configure the credential domains of a credentials provider
     *     (where the credentials provider supports multiple credential
     *     domains).}
     */
    public static Localizable _CredentialsProvider_ManageDomainsPermissionDescription() {
        return new Localizable(holder, "CredentialsProvider.ManageDomainsPermissionDescription");
    }

    /**
     * Key {@code CredentialsStoreAction.DisplayName}: {@code Credentials}.
     * 
     * @return
     *     {@code Credentials}
     */
    public static String CredentialsStoreAction_DisplayName() {
        return holder.format("CredentialsStoreAction.DisplayName");
    }

    /**
     * Key {@code CredentialsStoreAction.DisplayName}: {@code Credentials}.
     * 
     * @return
     *     {@code Credentials}
     */
    public static Localizable _CredentialsStoreAction_DisplayName() {
        return new Localizable(holder, "CredentialsStoreAction.DisplayName");
    }

    /**
     * Key {@code CredentialsProviderFilter.None.DisplayName}: {@code All
     * available}.
     * 
     * @return
     *     {@code All available}
     */
    public static String CredentialsProviderFilter_None_DisplayName() {
        return holder.format("CredentialsProviderFilter.None.DisplayName");
    }

    /**
     * Key {@code CredentialsProviderFilter.None.DisplayName}: {@code All
     * available}.
     * 
     * @return
     *     {@code All available}
     */
    public static Localizable _CredentialsProviderFilter_None_DisplayName() {
        return new Localizable(holder, "CredentialsProviderFilter.None.DisplayName");
    }

    /**
     * Key {@code CredentialsStoreAction.UpdateCredentialAction}: {@code
     * Update}.
     * 
     * @return
     *     {@code Update}
     */
    public static String CredentialsStoreAction_UpdateCredentialAction() {
        return holder.format("CredentialsStoreAction.UpdateCredentialAction");
    }

    /**
     * Key {@code CredentialsStoreAction.UpdateCredentialAction}: {@code
     * Update}.
     * 
     * @return
     *     {@code Update}
     */
    public static Localizable _CredentialsStoreAction_UpdateCredentialAction() {
        return new Localizable(holder, "CredentialsStoreAction.UpdateCredentialAction");
    }

    /**
     * Key {@code CredentialsSelectHelper.CLINoSuchProvider}: {@code The
     * specified provider {0} cannot be uniquely identified.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code The specified provider {0} cannot be uniquely identified.}
     */
    public static String CredentialsSelectHelper_CLINoSuchProvider(Object arg0) {
        return holder.format("CredentialsSelectHelper.CLINoSuchProvider", arg0);
    }

    /**
     * Key {@code CredentialsSelectHelper.CLINoSuchProvider}: {@code The
     * specified provider {0} cannot be uniquely identified.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code The specified provider {0} cannot be uniquely identified.}
     */
    public static Localizable _CredentialsSelectHelper_CLINoSuchProvider(Object arg0) {
        return new Localizable(holder, "CredentialsSelectHelper.CLINoSuchProvider", arg0);
    }

    /**
     * Key {@code CredentialsStoreAction.GlobalDomainDescription}: {@code
     * Credentials that should be available irrespective of domain
     * specification to requirements matching.}.
     * 
     * @return
     *     {@code Credentials that should be available irrespective of domain
     *     specification to requirements matching.}
     */
    public static String CredentialsStoreAction_GlobalDomainDescription() {
        return holder.format("CredentialsStoreAction.GlobalDomainDescription");
    }

    /**
     * Key {@code CredentialsStoreAction.GlobalDomainDescription}: {@code
     * Credentials that should be available irrespective of domain
     * specification to requirements matching.}.
     * 
     * @return
     *     {@code Credentials that should be available irrespective of domain
     *     specification to requirements matching.}
     */
    public static Localizable _CredentialsStoreAction_GlobalDomainDescription() {
        return new Localizable(holder, "CredentialsStoreAction.GlobalDomainDescription");
    }

    /**
     * Key {@code CredentialsTypeFilter.Includes.DisplayName}: {@code Only
     * selected}.
     * 
     * @return
     *     {@code Only selected}
     */
    public static String CredentialsTypeFilter_Includes_DisplayName() {
        return holder.format("CredentialsTypeFilter.Includes.DisplayName");
    }

    /**
     * Key {@code CredentialsTypeFilter.Includes.DisplayName}: {@code Only
     * selected}.
     * 
     * @return
     *     {@code Only selected}
     */
    public static Localizable _CredentialsTypeFilter_Includes_DisplayName() {
        return new Localizable(holder, "CredentialsTypeFilter.Includes.DisplayName");
    }

    /**
     * Key {@code CredentialsStoreAction.DeleteDomainAction}: {@code Delete
     * domain}.
     * 
     * @return
     *     {@code Delete domain}
     */
    public static String CredentialsStoreAction_DeleteDomainAction() {
        return holder.format("CredentialsStoreAction.DeleteDomainAction");
    }

    /**
     * Key {@code CredentialsStoreAction.DeleteDomainAction}: {@code Delete
     * domain}.
     * 
     * @return
     *     {@code Delete domain}
     */
    public static Localizable _CredentialsStoreAction_DeleteDomainAction() {
        return new Localizable(holder, "CredentialsStoreAction.DeleteDomainAction");
    }

    /**
     * Key {@code CredentialsProvider.PermissionGroupTitle}: {@code
     * Credentials}.
     * 
     * @return
     *     {@code Credentials}
     */
    public static String CredentialsProvider_PermissionGroupTitle() {
        return holder.format("CredentialsProvider.PermissionGroupTitle");
    }

    /**
     * Key {@code CredentialsProvider.PermissionGroupTitle}: {@code
     * Credentials}.
     * 
     * @return
     *     {@code Credentials}
     */
    public static Localizable _CredentialsProvider_PermissionGroupTitle() {
        return new Localizable(holder, "CredentialsProvider.PermissionGroupTitle");
    }

}
