// CHECKSTYLE:OFF

package com.cloudbees.plugins.credentials.impl;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;
import org.kohsuke.accmod.Restricted;


/**
 * Generated localization support class.
 * 
 */
@SuppressWarnings({
    "",
    "PMD",
    "all"
})
@Restricted(org.kohsuke.accmod.restrictions.NoExternalUse.class)
public class Messages {

    /**
     * The resource bundle reference
     * 
     */
    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Key {@code CertificateCredentialsImpl.NoCertificateUploaded}: {@code
     * No certificate uploaded}.
     * 
     * @return
     *     {@code No certificate uploaded}
     */
    public static String CertificateCredentialsImpl_NoCertificateUploaded() {
        return holder.format("CertificateCredentialsImpl.NoCertificateUploaded");
    }

    /**
     * Key {@code CertificateCredentialsImpl.NoCertificateUploaded}: {@code
     * No certificate uploaded}.
     * 
     * @return
     *     {@code No certificate uploaded}
     */
    public static Localizable _CertificateCredentialsImpl_NoCertificateUploaded() {
        return new Localizable(holder, "CertificateCredentialsImpl.NoCertificateUploaded");
    }

    /**
     * Key {@code
     * CertificateCredentialsImpl.LoadKeyFailedQueryEmptyPassword}: {@code
     * Could retrieve key "{0}". You may need to provide a password}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Could retrieve key "{0}". You may need to provide a password}
     */
    public static String CertificateCredentialsImpl_LoadKeyFailedQueryEmptyPassword(Object arg0) {
        return holder.format("CertificateCredentialsImpl.LoadKeyFailedQueryEmptyPassword", arg0);
    }

    /**
     * Key {@code
     * CertificateCredentialsImpl.LoadKeyFailedQueryEmptyPassword}: {@code
     * Could retrieve key "{0}". You may need to provide a password}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Could retrieve key "{0}". You may need to provide a password}
     */
    public static Localizable _CertificateCredentialsImpl_LoadKeyFailedQueryEmptyPassword(Object arg0) {
        return new Localizable(holder, "CertificateCredentialsImpl.LoadKeyFailedQueryEmptyPassword", arg0);
    }

    /**
     * Key {@code UsernamePasswordCredentialsImpl.DisplayName}: {@code
     * Username with password}.
     * 
     * @return
     *     {@code Username with password}
     */
    public static String UsernamePasswordCredentialsImpl_DisplayName() {
        return holder.format("UsernamePasswordCredentialsImpl.DisplayName");
    }

    /**
     * Key {@code UsernamePasswordCredentialsImpl.DisplayName}: {@code
     * Username with password}.
     * 
     * @return
     *     {@code Username with password}
     */
    public static Localizable _UsernamePasswordCredentialsImpl_DisplayName() {
        return new Localizable(holder, "UsernamePasswordCredentialsImpl.DisplayName");
    }

    /**
     * Key {@code
     * CertificateCredentialsImpl.UploadedKeyStoreSourceDisplayName}: {@code
     * Upload PKCS#12 certificate}.
     * 
     * @return
     *     {@code Upload PKCS#12 certificate}
     */
    public static String CertificateCredentialsImpl_UploadedKeyStoreSourceDisplayName() {
        return holder.format("CertificateCredentialsImpl.UploadedKeyStoreSourceDisplayName");
    }

    /**
     * Key {@code
     * CertificateCredentialsImpl.UploadedKeyStoreSourceDisplayName}: {@code
     * Upload PKCS#12 certificate}.
     * 
     * @return
     *     {@code Upload PKCS#12 certificate}
     */
    public static Localizable _CertificateCredentialsImpl_UploadedKeyStoreSourceDisplayName() {
        return new Localizable(holder, "CertificateCredentialsImpl.UploadedKeyStoreSourceDisplayName");
    }

    /**
     * Key {@code CertificateCredentialsImpl.LoadKeystoreFailed}: {@code
     * Could not load keystore}.
     * 
     * @return
     *     {@code Could not load keystore}
     */
    public static String CertificateCredentialsImpl_LoadKeystoreFailed() {
        return holder.format("CertificateCredentialsImpl.LoadKeystoreFailed");
    }

    /**
     * Key {@code CertificateCredentialsImpl.LoadKeystoreFailed}: {@code
     * Could not load keystore}.
     * 
     * @return
     *     {@code Could not load keystore}
     */
    public static Localizable _CertificateCredentialsImpl_LoadKeystoreFailed() {
        return new Localizable(holder, "CertificateCredentialsImpl.LoadKeystoreFailed");
    }

    /**
     * Key {@code CertificateCredentialsImpl.LoadKeyFailed}: {@code Could
     * retrieve key "{0}"}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Could retrieve key "{0}"}
     */
    public static String CertificateCredentialsImpl_LoadKeyFailed(Object arg0) {
        return holder.format("CertificateCredentialsImpl.LoadKeyFailed", arg0);
    }

    /**
     * Key {@code CertificateCredentialsImpl.LoadKeyFailed}: {@code Could
     * retrieve key "{0}"}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Could retrieve key "{0}"}
     */
    public static Localizable _CertificateCredentialsImpl_LoadKeyFailed(Object arg0) {
        return new Localizable(holder, "CertificateCredentialsImpl.LoadKeyFailed", arg0);
    }

    /**
     * Key {@code CertificateCredentialsImpl.EmptyKeystore}: {@code Empty
     * keystore}.
     * 
     * @return
     *     {@code Empty keystore}
     */
    public static String CertificateCredentialsImpl_EmptyKeystore() {
        return holder.format("CertificateCredentialsImpl.EmptyKeystore");
    }

    /**
     * Key {@code CertificateCredentialsImpl.EmptyKeystore}: {@code Empty
     * keystore}.
     * 
     * @return
     *     {@code Empty keystore}
     */
    public static Localizable _CertificateCredentialsImpl_EmptyKeystore() {
        return new Localizable(holder, "CertificateCredentialsImpl.EmptyKeystore");
    }

    /**
     * Key {@code CertificateCredentialsImpl.DisplayName}: {@code
     * Certificate}.
     * 
     * @return
     *     {@code Certificate}
     */
    public static String CertificateCredentialsImpl_DisplayName() {
        return holder.format("CertificateCredentialsImpl.DisplayName");
    }

    /**
     * Key {@code CertificateCredentialsImpl.DisplayName}: {@code
     * Certificate}.
     * 
     * @return
     *     {@code Certificate}
     */
    public static Localizable _CertificateCredentialsImpl_DisplayName() {
        return new Localizable(holder, "CertificateCredentialsImpl.DisplayName");
    }

}
